REALPATH(1)

NUME
realpath - afișează ruta rezolvată

SINOPSIS
realpath [OPȚIUNE]... [FIȘIER]...

DESCRIERE

Afișează numele absolut al fișierului rezolvat; toate, în afară de ultima componentă, trebuie să existe

-e, --canonicalize-existing
    toate componentele rutei trebuie să existe

-m, --canonicalize-missing
    niciuna dintre componentele rutei nu este obligatoriu să existe sau să fie un director

-L, --logical
    rezolvă componentele „..” înainte de legături simbolice

-P, --physical
    rezolvă legăturile simbolice așa cum au fost întâlnite (modul implicit)

-q, --quiet
    suprimă majoritatea mesajelor de eroare

--relative-to=DIR
    afișează ruta rezolvată în raport cu DIR

--relative-base=DIR
    afișează rutele absolute, cu excepția cazului în care rutele sunt sub DIR

-s, --strip, --no-symlinks
    nu rezolvă(expandează) legăturile simbolice

-z, --zero
    termină fiecare linie afișată cu NUL, nu cu o nouă linie

--help
    afișează acest mesaj de ajutor și iese

--version
    afișează informațiile despre versiune și iese

AUTOR
Scris de Padraig Brady.

RAPORTAREA ERORILOR
Ajutor online GNU coreutils: <https://www.gnu.org/software/coreutils/>
Raportați orice erori de traducere la: <https://translationproject.org/team/ro.html>

CONSULTAȚI ȘI
readlink(1), readlink(2), realpath(3)

Documentația completă este disponibilă la <https://www.gnu.org/software/coreutils/realpath>
sau local rulând comanda: «info '(coreutils) realpath invocation'»

Împachetat de Debian (9.7-3)
Drepturi de autor © 2025 Free Software Foundation, Inc.
Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>.
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți.
Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.